[<prev] [next>] [<thread-prev] [day] [month] [year] [list]
Message-ID: <tip-c41c6647e515c4eb6f754e83e15c1660692c6ce9@git.kernel.org>
Date: Tue, 5 May 2015 19:56:44 -0700
From: tip-bot for Jiri Olsa <tipbot@...or.com>
To: linux-tip-commits@...r.kernel.org
Cc: dsahern@...il.com, jolsa@...nel.org, hpa@...or.com,
computersforpeace@...il.com, sam@...nborg.org, dhowells@...hat.com,
paulus@...ba.org, bp@...e.de, mingo@...nel.org,
namhyung@...nel.org, mmarek@...e.cz, linux-kernel@...r.kernel.org,
tglx@...utronix.de, acme@...hat.com, a.p.zijlstra@...llo.nl
Subject: [tip:perf/core] perf tests:
Add build tests for building perf from kernel source root and tools
Commit-ID: c41c6647e515c4eb6f754e83e15c1660692c6ce9
Gitweb: http://git.kernel.org/tip/c41c6647e515c4eb6f754e83e15c1660692c6ce9
Author: Jiri Olsa <jolsa@...nel.org>
AuthorDate: Sat, 18 Apr 2015 22:34:40 +0200
Committer: Arnaldo Carvalho de Melo <acme@...hat.com>
CommitDate: Wed, 29 Apr 2015 10:37:47 -0300
perf tests: Add build tests for building perf from kernel source root and tools
Adding build tests for following make commands:
$ make -C <kernelsrc> tools/perf
$ make -C <kernelsrc>/tools perf
Signed-off-by: Jiri Olsa <jolsa@...nel.org>
Cc: Borislav Petkov <bp@...e.de>
Cc: Brian Norris <computersforpeace@...il.com>
Cc: David Ahern <dsahern@...il.com>
Cc: David Howells <dhowells@...hat.com>
Cc: Michal Marek <mmarek@...e.cz>
Cc: Namhyung Kim <namhyung@...nel.org>
Cc: Paul Mackerras <paulus@...ba.org>
Cc: Peter Zijlstra <a.p.zijlstra@...llo.nl>
Cc: Sam Ravnborg <sam@...nborg.org>
Cc: linux-kbuild@...r.kernel.org
Link: http://lkml.kernel.org/r/1429389280-18720-4-git-send-email-jolsa@kernel.org
Signed-off-by: Arnaldo Carvalho de Melo <acme@...hat.com>
---
tools/perf/tests/make | 14 +++++++++++++-
1 file changed, 13 insertions(+), 1 deletion(-)
diff --git a/tools/perf/tests/make b/tools/perf/tests/make
index bff8532..901ec91 100644
--- a/tools/perf/tests/make
+++ b/tools/perf/tests/make
@@ -223,7 +223,19 @@ tarpkg:
echo "- $@: $$cmd" && echo $$cmd > $@ && \
( eval $$cmd ) >> $@ 2>&1
-all: $(run) $(run_O) tarpkg
+make_kernelsrc:
+ @echo " - make -C <kernelsrc> tools/perf"
+ $(call clean); \
+ (make -C ../.. tools/perf) > $@ 2>&1 && \
+ test -x perf && rm -f $@ || (cat $@ ; false)
+
+make_kernelsrc_tools:
+ @echo " - make -C <kernelsrc>/tools perf"
+ $(call clean); \
+ (make -C ../../tools perf) > $@ 2>&1 && \
+ test -x perf && rm -f $@ || (cat $@ ; false)
+
+all: $(run) $(run_O) tarpkg make_kernelsrc make_kernelsrc_tools
@echo OK
out: $(run_O)
--
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@...r.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/
Powered by blists - more mailing lists